<template>
    <div class="snackbar">
        <SnackbarMsg v-for="data in messages" :msg-data="data" :key="data.id" />
    </div>
</template>

<script>
import { mapState } from "vuex";
import SnackbarMsg from "@/components/Snackbar/SnackbarMsg";

export default {
    name: "Snackbar",
    components: { SnackbarMsg },
    computed: {
        ...mapState("snackbar", ["messages"]),
    },
};
</script>

<style scoped>
.snackbar {
    position: fixed;
    top: 0;
    right: 0;
}
</style>
